com.microfocus.awm.core.internal

## Class ParsedLineResult

- java.lang.Object
- - com.microfocus.awm.core.internal.ParsedLineResult

-     public class ParsedLineResult
      extends java.lang.Object

  Combines the context of a single parsed line of an element list.

  Copyright (C) Micro Focus

  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParsedLineResult(FileDescriptor pFileDescriptor, java.util.List<IPropertyValue> pPropertyValues, java.lang.String pUnparsedLine, java.lang.String[] pRawValues)` Creates a new ParsedLineResult.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDelimiter()`
    `FileDescriptor` | `getFileDescriptor()`
    `java.util.List<IPropertyValue>` | `getPropertyValues()`
    `java.lang.String[]` | `getRawValues()`
    `java.lang.String` | `getUnparsedLine()`
    `static java.util.List<ParsedLineResult>` | `parseLines(java.io.InputStream pIs, java.lang.String pEncoding, FileDescriptor pFD)` Parses an input stream containing an AWM list format and converts it to a list of `ParsedLineResult`s.
    `static java.util.List<ParsedLineResult>` | `parseLines(java.util.List<java.lang.String> pLines, FileDescriptor pFD)` Converts a list of lines to a list that contains lists of `IPropertyValue`s.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsedLineResult

          public ParsedLineResult(FileDescriptor pFileDescriptor,
                                  java.util.List<IPropertyValue> pPropertyValues,
                                  java.lang.String pUnparsedLine,
                                  java.lang.String[] pRawValues)

      Creates a new ParsedLineResult. All parameters are mandatory.
      Parameters:
        `pFileDescriptor` - the file descriptor
        `pPropertyValues` - parsed property values
        `pUnparsedLine` - the raw, unparsed line
        `pRawValues` - the split values

  - ### Method Detail

    - #### parseLines

          public static java.util.List<ParsedLineResult> parseLines(java.io.InputStream pIs,
                                                                    java.lang.String pEncoding,
                                                                    FileDescriptor pFD)
                                                             throws TaurusToolException

      Parses an input stream containing an AWM list format and converts it to a list of `ParsedLineResult`s.
      Parameters:
        `pIs` - the input stream to parse
        `pEncoding` - the encoding for reading the stream (typically the local system image code page)
        `pFD` - a `FileDescriptor` describing the lines of the element list
      Returns:
        parsed line
      Throws:
        `TaurusToolException` - if an I/O exception occurs during reading the stream

    - #### parseLines

          public static java.util.List<ParsedLineResult> parseLines(java.util.List<java.lang.String> pLines,
                                                                    FileDescriptor pFD)

      Converts a list of lines to a list that contains lists of `IPropertyValue`s.
      Parameters:
        `pLines` - lines of an element list
        `pFD` - a `FileDescriptor` describing the lines of the element list
      Returns:
        parsed line

    - #### getFileDescriptor

          public FileDescriptor getFileDescriptor()

      Returns:
        the `FileDescriptor` that has been used for parsing the line.

    - #### getPropertyValues

          public java.util.List<IPropertyValue> getPropertyValues()

      Returns:
        the `IPropertyValue`s that have been parsed.

    - #### getUnparsedLine

          public java.lang.String getUnparsedLine()

      Returns:
        the original line (not parsed).

    - #### getDelimiter

          public java.lang.String getDelimiter()

      Returns:
        the delimiter that has been used for parsing the line (same as `FileDescriptor.getPropDelimiterWithoutQuotes()`).

    - #### getRawValues

          public java.lang.String[] getRawValues()

      Returns:
        the values that have been parsed from the line using the delimiter.

Copyright © 2015 Micro Focus GmbH. All rights reserved.